> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superbank.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transition a payment status (sandbox only)

> Simulate a payment status transition. Triggers outbound webhooks and realtime updates.



## OpenAPI

````yaml /openapi/v0/openapi.json patch /v0/sandbox/payments/{id}/status
openapi: 3.0.0
info:
  title: Superbank API
  description: Superbank Developer API for Instant Settlement
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.superbank.co
    description: Sandbox
security: []
tags: []
paths:
  /v0/sandbox/payments/{id}/status:
    patch:
      tags:
        - Sandbox
      summary: Transition a payment status (sandbox only)
      description: >-
        Simulate a payment status transition. Triggers outbound webhooks and
        realtime updates.
      operationId: SandboxController_transitionPaymentStatus
      parameters:
        - name: id
          required: true
          in: path
          description: Payment ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransitionPaymentStatusDto'
      responses:
        '200':
          description: Payment status transitioned
        '404':
          description: Payment not found
      security:
        - api-key: []
components:
  schemas:
    TransitionPaymentStatusDto:
      type: object
      properties:
        status:
          type: string
          description: The target payment status
          enum:
            - AWAITING_FUNDS
            - PENDING
            - PROCESSING
            - SENT
            - COMPLETED
            - CANCELED
            - FAILED
            - EXPIRED
            - REFUNDED
            - SCHEDULED
            - UNDER_REVIEW
          example: COMPLETED
        failure_reason:
          type: string
          description: Reason for failure (required when status is FAILED)
          example: Insufficient funds
      required:
        - status
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````